Name:              ipwatchd
Version:           1.2.1
Release:           5%{?dist}
Summary:           IP conflict detection tool

License:           GPLv2
URL:               http://ipwatchd.sf.net
Source0:           http://sourceforge.net/projects/ipwatchd/files/ipwatchd/%{version}/ipwatchd-%{version}.tar.gz
Patch0:            ipwatchd-systemd.patch

BuildRequires:     libpcap-devel, libnet-devel, systemd

Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd

%description
IPwatchD is a simple daemon that analyses all incoming ARP packets in order 
to detect IP conflicts on Linux. It can be configured to listen on one or 
more interfaces (alias interfaces are also supported) in active or passive 
mode. In active mode IPwatchD protects your host before IP takeover by 
answering Gratuitous ARP requests received from conflicting system. 
In passive mode it just records information about conflict through standard 
syslog interface.

%prep
%setup -q
%patch0 -p1

%build
make -C src %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make -C src install DESTDIR=%{buildroot}

%post
%systemd_post ipwatchd.service

%preun
%systemd_preun ipwatchd.service

%postun
%systemd_postun_with_restart ipwatchd.service

%files
%config(noreplace) %{_sysconfdir}/ipwatchd.conf
%{_sbindir}/ipwatchd
%{_sbindir}/ipwatchd-script
%{_mandir}/man8/ipwatchd.8*
%{_mandir}/man5/ipwatchd.conf.5*
%{_mandir}/man1/ipwatchd-script.1*
%{_unitdir}/ipwatchd.service
%doc LICENSE

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 09 2013 Jaroslav Imrich <jariq@jariq.sk> 1.2.1-3
- Passing optflags to compiler during build
- Added LICENSE to the files section
- Other minor spec improvements

* Wed Oct 09 2013 Jaroslav Imrich <jariq@jariq.sk> 1.2.1-2
- Removed Group tag as it is no longer required
- Using version macro in URL tag
- Requires systemd instead of systemd-units
- Changed systemd service type to forking (ipwatchd-systemd.patch)

* Sun Jul 31 2011 Jaroslav Imrich <jariq@jariq.sk> 1.2.1-1
- Initial release
